GET /api/v3/accounts/constants/field-map¶
Summary¶
GET /accounts/constants/field-map
Description¶
Return the field map macros for the account resource.
Tags: accounts
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)field_map(object) Type:object
Properties:
-
account_name(object) Type:objectProperties:
id(string)object(string)group_id(string)group_name(string)class(string)property(string)macro(string)macroCode(string)name(string)placeholder(string)type(string)defaultClasses(string)defaultCss(string)show(boolean)
-
account_website(object) Type:objectProperties:
id(string)object(string)group_id(string)group_name(string)class(string)property(string)macro(string)macroCode(string)name(string)placeholder(string)type(string)defaultClasses(string)defaultCss(string)show(boolean)
-
options.primary_image_public_url(object) Type:objectProperties:
id(string)object(string)group_id(string)group_name(string)class(string)property(string)macro(string)macroCode(string)name(string)placeholder(string)type(string)defaultClasses(string)defaultCss(string)show(boolean)
-
options.primary_image_background_removed_public_url(object) Type:objectProperties:
id(string)object(string)group_id(string)group_name(string)class(string)property(string)macro(string)macroCode(string)name(string)placeholder(string)type(string)defaultClasses(string)defaultCss(string)show(boolean)
Example Response¶
{
"success": true,
"field_map": {
"account_name": {
"id": "account_name",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "name",
"macro": "account.name",
"macroCode": "{account.name}",
"name": "Name",
"placeholder": "Your Company Name",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true
},
"account_website": {
"id": "account_website",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "website",
"macro": "account.website",
"macroCode": "{account.website}",
"name": "Website",
"placeholder": "https://www.yourcompany.com",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true
},
"options.primary_image_public_url": {
"id": "account_options_primary_image_public_url",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "options.primary_image_public_url",
"macro": "account.options.primary_image_public_url",
"macroCode": "{account.options.primary_image_public_url}",
"name": "Logo",
"placeholder": "https://lucit.app/assets/designer/image_placeholder_Account.png",
"type": "img",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_image lc_dt_image_center_cover",
"defaultCss": "",
"show": true
},
"options.primary_image_background_removed_public_url": {
"id": "account_options_primary_image_background_removed_public_url",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "options.primary_image_background_removed_public_url",
"macro": "account.options.primary_image_background_removed_public_url",
"macroCode": "{account.options.primary_image_background_removed_public_url}",
"name": "Logo (No Background)",
"placeholder": "https://lucit.app/assets/designer/image_placeholder_transparent_Account.png",
"type": "img",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_image lc_dt_image_center_cover",
"defaultCss": "",
"show": true
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/accounts/constants/field-map" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/accounts/constants/field-map"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/accounts/constants/field-map',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/accounts/constants/field-map'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"field_map": {
"account_name": {
"id": "account_name",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "name",
"macro": "account.name",
"macroCode": "{account.name}",
"name": "Name",
"placeholder": "Your Company Name",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true
},
"account_website": {
"id": "account_website",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "website",
"macro": "account.website",
"macroCode": "{account.website}",
"name": "Website",
"placeholder": "https://www.yourcompany.com",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true
},
"options.primary_image_public_url": {
"id": "account_options_primary_image_public_url",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "options.primary_image_public_url",
"macro": "account.options.primary_image_public_url",
"macroCode": "{account.options.primary_image_public_url}",
"name": "Logo",
"placeholder": "https://lucit.app/assets/designer/image_placeholder_Account.png",
"type": "img",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_image lc_dt_image_center_cover",
"defaultCss": "",
"show": true
},
"options.primary_image_background_removed_public_url": {
"id": "account_options_primary_image_background_removed_public_url",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "options.primary_image_background_removed_public_url",
"macro": "account.options.primary_image_background_removed_public_url",
"macroCode": "{account.options.primary_image_background_removed_public_url}",
"name": "Logo (No Background)",
"placeholder": "https://lucit.app/assets/designer/image_placeholder_transparent_Account.png",
"type": "img",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_image lc_dt_image_center_cover",
"defaultCss": "",
"show": true
}
}
}